diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/MapperRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/MapperRuleDataModel.java
index 1235fcc143226f6991f7e337cae412f37fdd5380..a72b59f7c9a0a8798dfa906f173b69002cced0da 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/MapperRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/MapperRuleDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.Debug;
 
@@ -52,10 +51,10 @@ public class MapperRuleDataModel extends CMSRuleDataModel
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
 
-        v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        v.addElement(new JLabel(obj.get(RULE_NAME),
                   CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                   JLabel.LEFT));
-        v.addElement(obj.getValue(RULE_IMPL));
+        v.addElement(obj.get(RULE_IMPL));
         addRow(v, data);
     }
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/OCSPStoresInstanceTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/OCSPStoresInstanceTab.java
index f48339b25a343214666a93c17c964c0408bc0535..ff234c7fd8e3a2cd56324da7f59cb2c094829b98 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/OCSPStoresInstanceTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/OCSPStoresInstanceTab.java
@@ -19,13 +19,10 @@ package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
-import com.netscape.admin.certsrv.ug.*;
+
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
-import java.awt.*;
-import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -118,7 +115,7 @@ public class OCSPStoresInstanceTab extends CMSPluginInstanceTab {
         try {
             mConnection.modify(DestDef.DEST_OCSP_ADMIN,
                                ScopeDef.SC_OCSPSTORE_DEFAULT,
-                               data.getValue(RULE_NAME), nvps);
+                               data.get(RULE_NAME), nvps);
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/OCSPStoresRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/OCSPStoresRuleDataModel.java
index 30211b68907d00dd13d18d193fc8bb28b7401d40..5cd67e2760dc74b47058191611036954027dcdb0 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/OCSPStoresRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/OCSPStoresRuleDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.Debug;
 
@@ -52,19 +51,19 @@ public class OCSPStoresRuleDataModel extends CMSRuleDataModel
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
 
-        if (obj.getValue(RULE_STAT).equalsIgnoreCase("enabled")) {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        if (obj.get(RULE_STAT).equalsIgnoreCase("enabled")) {
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("OCSPSTORESRULE_LABEL_ENABLED_LABEL"));       
         } else {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_DISABLE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("OCSPSTORESRULE_LABEL_DISABLED_LABEL"));
         }
         addRow(v, data);
-        mRules.addElement(obj.getValue(RULE_NAME));
+        mRules.addElement(obj.get(RULE_NAME));
     }
 
 }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PanelMapperConfigDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PanelMapperConfigDialog.java
index f3db6374a62ed3fc37a1f25e0e37b75142291f2d..5de06c7f982399a600c9e73d57f0cbb5476d145f 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PanelMapperConfigDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PanelMapperConfigDialog.java
@@ -20,13 +20,12 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import javax.swing.table.*;
 import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -207,8 +206,8 @@ public class PanelMapperConfigDialog extends JDialog
         Debug.println("MapperList: "+response.toString());
         mSelection.removeAllItems();
         
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            mSelection.addItem(((String)e.nextElement()).trim());
+        for (String name : response.keySet()) {
+            mSelection.addItem(name.trim());
         }
         
         mSelection.setSelectedItem(mapperName);
@@ -230,11 +229,11 @@ public class PanelMapperConfigDialog extends JDialog
 
         mDataModel.removeAllRows();
         
-        for (Enumeration e = mData.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
+        for (String entry : mData.keySet()) {
+            entry = entry.trim();
             if (!entry.equals(Constants.PR_MAPPER)) {
-                String value = mData.getValue(entry);
-                Vector v = new Vector();
+                String value = mData.get(entry);
+                Vector<String> v = new Vector<String>();
                 v.addElement(entry);
                 v.addElement(value);
                 mDataModel.addRow(v);
@@ -369,15 +368,15 @@ public class PanelMapperConfigDialog extends JDialog
     //save the configuration settings for the mapper
     private void saveConfiguration() throws EAdminException {
         NameValuePairs nvp = getData();
-        nvp.add(Constants.PR_MAPPER, (String)mSelection.getSelectedItem());
+        nvp.put(Constants.PR_MAPPER, (String) mSelection.getSelectedItem());
         mConn.modify(mDest, mScope, Constants.RS_ID_CONFIG, nvp);
     }
 
     private NameValuePairs getData() {
         NameValuePairs response = new NameValuePairs();
         for (int i=0; i< mDataModel.getRowCount(); i++) {
-            response.add((String)mDataModel.getValueAt(i,0),
-                         (String)mDataModel.getValueAt(i,1));
+            response.put((String) mDataModel.getValueAt(i, 0),
+                    (String) mDataModel.getValueAt(i, 1));
         }
         return response;
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PluginSelectionDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PluginSelectionDialog.java
index c88251f0b49f3954e68a686e6a26ad7bea9c0ce9..437881186be0183cd74a1ec39eb0b5439aee5df5 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PluginSelectionDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PluginSelectionDialog.java
@@ -20,11 +20,10 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -163,7 +162,7 @@ public class PluginSelectionDialog extends JDialog
             }
             Debug.println(response.toString());
             String id = ((JLabel)mDataModel.elementAt(mList.getSelectedIndex())).getText();
-            response.add(Constants.PR_POLICY_IMPL_NAME,id);
+            response.put(Constants.PR_POLICY_IMPL_NAME, id);
 
             CMSBaseConfigDialog dialog = null;
             if (mExtraDestination == null) {
@@ -338,9 +337,9 @@ public class PluginSelectionDialog extends JDialog
         //parse the data
         String[] vals = new String[response.size()];
         int i=0;
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            vals[i++] = ((String)e.nextElement()).trim();
-			Debug.println("PluginSelectionDialog::update() - adding '"+vals[i-1]+"'");
+        for (String name : response.keySet()) {
+            vals[i++] = name.trim();
+			Debug.println("PluginSelectionDialog::update() - adding '" + vals[i - 1] + "'");
         }
         
         CMSAdminUtil.bubbleSort(vals);
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyImplDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyImplDataModel.java
index 8ac219345ba5e917cc5559557f9b532196b8e90f..59ea36ec87ae5e3357c23b3a42a56d02f63a28aa 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyImplDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyImplDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -58,10 +57,10 @@ public class PolicyImplDataModel extends CMSContentTableModel
     public void processData(Object data) {
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
-        v.addElement(new JLabel(obj.getValue(IMPL_NAME),
+        v.addElement(new JLabel(obj.get(IMPL_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_PLUGIN),
             JLabel.LEFT));
-        v.addElement(obj.getValue(IMPL_CLASS));
+        v.addElement(obj.get(IMPL_CLASS));
         //v.addElement(obj.getValue(IMPL_DESC));
         addRow(v, data);
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyImplTab.java
index 8e89dcf45abedd7871a28e1aba74fd0565328de3..f4fab72602cd9dad02fa667126ef59810762fe91 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyImplTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -117,9 +116,9 @@ public class PolicyImplTab extends CMSBaseUGTab {
                     mDataModel.getObjectValueAt(mTable.getSelectedRow());    
             if (mViewer==null)
                 mViewer = new ViewDialog(mModel.getFrame());
-            mViewer.showDialog(obj.getValue(IMPL_NAME),
-                               obj.getValue(IMPL_CLASS),
-                               obj.getValue(IMPL_DESC));
+            mViewer.showDialog(obj.get(IMPL_NAME),
+                               obj.get(IMPL_CLASS),
+                               obj.get(IMPL_DESC));
         }        
         if (e.getSource().equals(mHelp)) {
             helpCallback();
@@ -271,16 +270,16 @@ public class PolicyImplTab extends CMSBaseUGTab {
         //parse the data
         int i=0;
         String[] vals = new String[response.size()];
-        Hashtable data = new Hashtable();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        Hashtable<String, NameValuePairs> data = new Hashtable<String, NameValuePairs>();
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
             int x = value.indexOf(",");
             NameValuePairs obj = new NameValuePairs();
-            obj.add(IMPL_NAME,entry);
+            obj.put(IMPL_NAME, entry);
             vals[i++]= entry ;
-            obj.add(IMPL_CLASS, value.substring(0,x));
-            obj.add(IMPL_DESC, value.substring(x+1));
+            obj.put(IMPL_CLASS, value.substring(0, x));
+            obj.put(IMPL_DESC, value.substring(x + 1));
             data.put(entry,obj);
         }
         
@@ -308,7 +307,7 @@ public class PolicyImplTab extends CMSBaseUGTab {
         try {
             mConnection.delete(mDestination,
                                ScopeDef.SC_POLICY_IMPLS,
-                               obj.getValue(IMPL_NAME));
+                               obj.get(IMPL_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyRuleDataModel.java
index e379b53e9bccdf0aaed367b30b9585a14d27a557..9bbeda334650ae7bd7acad80dce53c477aca25d7 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyRuleDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.Debug;
 
@@ -53,19 +52,19 @@ public class PolicyRuleDataModel extends CMSRuleDataModel
         NameValuePairs obj = (NameValuePairs) data;
 
         //XXX NEED TO ADD STUFF
-        if (obj.getValue(RULE_STAT).equalsIgnoreCase("enabled")) {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        if (obj.get(RULE_STAT).equalsIgnoreCase("enabled")) {
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("POLICYRULE_LABEL_ENABLED_LABEL"));       
         } else {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_DISABLE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("POLICYRULE_LABEL_DISABLED_LABEL"));
         }
         addRow(v, data);
-        mRules.addElement(obj.getValue(RULE_NAME));
+        mRules.addElement(obj.get(RULE_NAME));
     }
 
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyRuleOrderDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyRuleOrderDialog.java
index ec7394d4eae24d0434cbd162a31a13cc223f8477..1c99d999fea7f8100eb3e9ee3faa15cd28bbcec0 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyRuleOrderDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PolicyRuleOrderDialog.java
@@ -20,11 +20,10 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -285,7 +284,7 @@ public class PolicyRuleOrderDialog extends JDialog
         }
         
         NameValuePairs nvp = new NameValuePairs();
-        nvp.add(Constants.PR_POLICY_ORDER, buf.toString());
+        nvp.put(Constants.PR_POLICY_ORDER, buf.toString());
         
         Debug.println("ORDER: "+buf.toString());
         
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileConfigDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileConfigDialog.java
index f83a7457c387e81c8bc52d269b6ff8b568b8bc93..a8d312d2ad562377644d1b1141b014168dd0daee 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileConfigDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileConfigDialog.java
@@ -20,13 +20,10 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -367,11 +364,11 @@ public class ProfileConfigDialog extends CMSBaseConfigDialog
                 if (mModel != null) { mModel.progressStart(); }
 
                 String instanceName = mPluginName.getText();
-                nvp.add("impl", mImplName.getText());
-                nvp.add("name", mNameField.getText());
-                nvp.add("visible", (String)(mVisibleField.getSelectedItem()));
-                nvp.add("auth", mAuthField.getText());
-                nvp.add("desc", mDescField.getText());
+                nvp.put("impl", mImplName.getText());
+                nvp.put("name", mNameField.getText());
+                nvp.put("visible", (String) (mVisibleField.getSelectedItem()));
+                nvp.put("auth", mAuthField.getText());
+                nvp.put("desc", mDescField.getText());
            //     nvp.add("config", mConfigField.getText());
                // mAdminConnection.add(DestDef.DEST_CA_PROFILE_ADMIN, 
                 mAdminConnection.add(mDest,
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileEditDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileEditDialog.java
index 0a3ceebe2c128e710e59b2284640c5776d9b4dbf..d10e19215e2084ab483d8fa357e672e82bd7466d 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileEditDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileEditDialog.java
@@ -21,12 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
 import javax.swing.event.*;
-import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -684,11 +682,11 @@ public class ProfileEditDialog extends CMSBaseConfigDialog
                     mModel.progressStart();
 
                 String instanceName = mPluginName.getText();
-                nvp.add("impl", mImplName.getText());
-                nvp.add("name", mNameField.getText());
-                nvp.add("desc", mDescField.getText());
-                nvp.add("visible", (String)(mVisibleField.getSelectedItem()));
-                nvp.add("auth", mAuthField.getText());
+                nvp.put("impl", mImplName.getText());
+                nvp.put("name", mNameField.getText());
+                nvp.put("desc", mDescField.getText());
+                nvp.put("visible", (String) (mVisibleField.getSelectedItem()));
+                nvp.put("auth", mAuthField.getText());
         //      nvp.add("config", mConfigField.getText());
 
 /*
@@ -719,7 +717,7 @@ public class ProfileEditDialog extends CMSBaseConfigDialog
     private void deletePolicy(String profileId, String policyId) 
       throws EAdminException{
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add("POLICYID", policyId);
+        nvps.put("POLICYID", policyId);
         //mAdminConnection.delete(DestDef.DEST_CA_PROFILE_ADMIN,
         mAdminConnection.delete(mDest,
           ScopeDef.SC_PROFILE_POLICIES, profileId, nvps);
@@ -728,7 +726,7 @@ public class ProfileEditDialog extends CMSBaseConfigDialog
     private void deleteInput(String profileId, String inputId)
       throws EAdminException{
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add("INPUTID", inputId);
+        nvps.put("INPUTID", inputId);
         //mAdminConnection.delete(DestDef.DEST_CA_PROFILE_ADMIN,
         mAdminConnection.delete(mDest,
           ScopeDef.SC_PROFILE_INPUT, profileId, nvps);
@@ -737,7 +735,7 @@ public class ProfileEditDialog extends CMSBaseConfigDialog
     private void deleteOutput(String profileId, String outputId)
       throws EAdminException{
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add("OUTPUTID", outputId);
+        nvps.put("OUTPUTID", outputId);
         //mAdminConnection.delete(DestDef.DEST_CA_PROFILE_ADMIN,
         mAdminConnection.delete(mDest,
           ScopeDef.SC_PROFILE_OUTPUT, profileId, nvps);
@@ -769,17 +767,17 @@ public class ProfileEditDialog extends CMSBaseConfigDialog
         } 
         mModel.progressStop();
 
-            String enable = response.getValue("enable");
+            String enable = response.get("enable");
 
 	    if (response != null) {
         	mPluginName.setEnabled(false); 
                 mPluginName.setBackground(getBackground());
         	mPluginName.setText(name);
-        	mNameField.setText(response.getValue("name"));
-      		mDescField.setText(response.getValue("desc"));
-      		mAuthField.setText(response.getValue("auth"));
-      		mVisibleField.setSelectedItem(response.getValue("visible"));
-      		mImplName.setText(response.getValue("plugin"));
+		mNameField.setText(response.get("name"));
+		mDescField.setText(response.get("desc"));
+		mAuthField.setText(response.get("auth"));
+		mVisibleField.setSelectedItem(response.get("visible"));
+		mImplName.setText(response.get("plugin"));
  //     		mConfigField.setText(response.getValue("config"));
 	    }
             if (enable != null && enable.equals("true")) {
@@ -870,29 +868,27 @@ public class ProfileEditDialog extends CMSBaseConfigDialog
     }
 
     private void populatePolicies(NameValuePairs response, JTable table) {
-        Vector colNames = new Vector();
+        Vector<String> colNames = new Vector<String>();
         colNames.addElement("Set Id");
         colNames.addElement("Id");
         colNames.addElement("Defaults");
         colNames.addElement("Constraints");
-        Vector d = new Vector();
+        Vector<Vector<String>> d = new Vector<Vector<String>>();
 
-        Enumeration e = response.getNames();
-        if (e != null) {
-          for (; e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
             Debug.println("populatePolicies entry= "+entry);
             Debug.println("populatePolicies value= "+value);
 
             StringTokenizer st = new StringTokenizer(value, ";");
-            String def = (String)st.nextToken();
-            String con = (String)st.nextToken();
-            Vector row = new Vector();
+            String def = st.nextToken();
+            String con = st.nextToken();
+            Vector<String> row = new Vector<String>();
            
             StringTokenizer st1 = new StringTokenizer(entry, ":");
-            String setId = (String)st1.nextToken();
-            String id = (String)st1.nextToken();
+            String setId = st1.nextToken();
+            String id = st1.nextToken();
            
             if (mDefSetId == null) {
               mDefSetId = setId;
@@ -902,7 +898,6 @@ public class ProfileEditDialog extends CMSBaseConfigDialog
             row.addElement(def);
             row.addElement(con);
             d.addElement(row);
-          }
         }
         ProfileEditDataModel model = new ProfileEditDataModel();
         model.setInfo(d, colNames);
@@ -910,21 +905,21 @@ public class ProfileEditDialog extends CMSBaseConfigDialog
     }
 
     private void populateNonPolicy(NameValuePairs response, JTable table) {
-        Vector colNames = new Vector();
+        Vector<String> colNames = new Vector<String>();
         colNames.addElement("Id");
         if (table == mInputTable)
             colNames.addElement("Inputs");
         else if (table == mOutputTable)
             colNames.addElement("Outputs");
-        Vector d = new Vector();
+        Vector<Vector<String>> d = new Vector<Vector<String>>();
 
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
-            Debug.println("populateNonPolicy entry= "+entry);
-            Debug.println("populateNonPolicy value= "+value);
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
+            Debug.println("populateNonPolicy entry= " + entry);
+            Debug.println("populateNonPolicy value= " + value);
 
-            Vector row = new Vector();
+            Vector<String> row = new Vector<String>();
             row.addElement(entry);
             row.addElement(value);
             d.addElement(row);
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileImplDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileImplDataModel.java
index 98c188380323f4760f13075810ee40f709ed02d4..eee2531cfbdecd2e6373aa0d866106166c40b54f 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileImplDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileImplDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -59,11 +58,11 @@ public class ProfileImplDataModel extends CMSContentTableModel
     public void processData(Object data) {
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
-        v.addElement(new JLabel(obj.getValue(IMPL_NAME),
+        v.addElement(new JLabel(obj.get(IMPL_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_PLUGIN),
             JLabel.LEFT));
-        v.addElement(obj.getValue(IMPL_TYPE));
-        v.addElement(obj.getValue(IMPL_CLASS));
+        v.addElement(obj.get(IMPL_TYPE));
+        v.addElement(obj.get(IMPL_CLASS));
         //v.addElement(obj.getValue(IMPL_DESC));
         addRow(v, data);
     }
